@extends('layouts.app')
@section('htmlheader_title')
{{ $o->name }}
@endsection

@section('content')
	<h1>{{ $o->name }} <small class="float-end pt-4">Last Update: {{ $o->updated_at->format('Y-m-d H:i') }}</small></h1>

	<p class="float-end"><small>Expand each heading for information about this FTN network</small></p>

	<div class="accordion" id="accordion_homepage">
		<!-- About -->
		<div class="accordion-item">
			<h3 class="accordion-header" id="about" data-bs-toggle="collapse" data-bs-target="#collapse_about" aria-expanded="true" aria-controls="collapse_about">About</h3>

			<div id="collapse_about" class="accordion-collapse collapse show" aria-labelledby="about" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					{!! \Illuminate\Mail\Markdown::parse($o->homepage) !!}
				</div>
			</div>
		</div>

		<!-- Echomail -->
		<div class="accordion-item open">
			<h3 class="accordion-header" id="echoareas"  data-bs-toggle="collapse" data-bs-target="#collapse_echoareas" aria-expanded="false" aria-controls="collapse_echoareas">Echo Areas</h3>

			<div id="collapse_echoareas" class="accordion-collapse collapse" aria-labelledby="echoareas" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					@if(FALSE)
					@else
						This network doesnt have any Echomail areas (yet). Perhaps you would like to create one?
					@endif
				</div>
			</div>
		</div>

		<!-- File areas -->
		<div class="accordion-item">
			<h3 class="accordion-header" id="fileareas" data-bs-toggle="collapse" data-bs-target="#collapse_fileareas" aria-expanded="false" aria-controls="collapse_fileareas">File Areas</h3>

			<div id="collapse_fileareas" class="accordion-collapse collapse" aria-labelledby="fileareas" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					@if(FALSE)
					@else
						This network doesnt have any File areas (yet). Perhaps you would like to create one?
					@endif
				</div>
			</div>
		</div>

		<!-- Systems -->
		<div class="accordion-item">
			<h3 class="accordion-header" id="systems" data-bs-toggle="collapse" data-bs-target="#collapse_systems" aria-expanded="false" aria-controls="collapse_systems">Systems</h3>

			<div id="collapse_systems" class="accordion-collapse collapse" aria-labelledby="systems" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					<p>The following systems are members of this network.</p>
					<table class="table monotable">
						<thead>
						<tr>
							<th>System</th>
							<th>Sysop</th>
							<th>Location</th>
							<th>Role</th>
							<th>Address</th>
							<th>Last Seen</th>
						</tr>
						</thead>

						<tbody>
						@foreach ($o->zones as $oz)
							<!-- First System Zone -->
							<tr>
								<td>{{ sprintf('ZC-%s-%05d',$oz->domain->name,$oz->zone_id) }}</td>
								<td>{{ $oz->system->sysop }}</td>
								<td>{{ $oz->system->location }}</td>
								<td>Zone</td>
								<td>{{ $oz->zone_id }}:0/0.0<span>@</span>{{ $oz->domain->name }}</td>
								<td>-</td>
							</tr>

							<!-- Other Nodes -->
							@foreach ($oz->addresses()->FTNorder()->with(['system','zone.domain'])->get() as $ao)
								<tr>
									<td>{{ $ao->system->name($ao) }}</td>
									<td>{{ $ao->system->sysop }}</td>
									<td>{{ $ao->system->location }}</td>
									<td>{{ $ao->role }}</td>
									<td>{{ $ao->ftn }}</td>
									<td>-</td>
								</tr>
							@endforeach
						@endforeach
						</tbody>
					</table>
				</div>
			</div>
		</div>

		<!-- Sign up -->
		<div class="accordion-item">
			<h3 class="accordion-header" id="signup" data-bs-toggle="collapse" data-bs-target="#collapse_signup" aria-expanded="false" aria-controls="collapse_signup">Join Network</h3>

			<div id="collapse_signup" class="accordion-collapse collapse" aria-labelledby="signup" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					@guest
						To start an application to join this network please <a href="{{ url('login') }}">login</a>.
					@else
						@if(Auth::user()->isMember($o))
						@else
							This website is not ready to take applications yet, check back soon!
						@endif
					@endguest
				</div>
			</div>
		</div>
	</div>
@endsection